ALTER TABLE MENU_ORDER_DETAIL
ADD UNIT_PRICE NUMBER;

ALTER TABLE MENU_ORDER_DETAIL
ADD TOTAL_PRICE NUMBER;

CREATE TABLE MENU_ORDER_STATUS (
  ID_MENU_ORDER_STATUS NUMBER NOT NULL,
  DESCRIPTION VARCHAR2(200 CHAR),
  ACTIVE VARCHAR2(1 CHAR),
  CONSTRAINT MENU_ORDER_STATUS_PK PRIMARY KEY (ID_MENU_ORDER_STATUS)
);

INSERT INTO MENU_ORDER_STATUS(ID_MENU_ORDER_STATUS, DESCRIPTION, ACTIVE) VALUES
(-1, 'Cancelled', 'Y');

INSERT INTO MENU_ORDER_STATUS(ID_MENU_ORDER_STATUS, DESCRIPTION, ACTIVE) VALUES
(1, 'Open', 'Y');

ALTER TABLE MENU_ORDER
ADD DATE_CHANGED DATE;

ALTER TABLE MENU_ORDER
ADD ID_STATUS NUMBER;

ALTER TABLE MENU_ORDER
ADD CONSTRAINT MENU_ORDER_ID_STATUS_FK
FOREIGN KEY (ID_STATUS)
REFERENCES MENU_ORDER_STATUS(ID_MENU_ORDER_STATUS);

CREATE INDEX IX_MENU_ORDER_ID_STATUS ON MENU_ORDER (ID_STATUS);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2205, SYSDATE, '5.5', 2125, 'Menu Order')
;
