CREATE TABLE S_ARTIKLI_LOCATION (
ID_ARTIKLI_LOCATION NUMBER NOT NULL,
ID_ARTIKEL NUMBER NOT NULL,
NNLOCATION_ID NUMBER NOT NULL,
CONSTRAINT PK_S_ARTIKLI_LOCATION PRIMARY KEY(ID_ARTIKLI_LOCATION)
);

ALTER TABLE S_ARTIKLI_LOCATION
ADD CONSTRAINT ASL_S_ARTIKLI_FK
FOREIGN KEY (ID_ARTIKEL)
REFERENCES S_ARTIKLI(ID_ARTIKEL);

ALTER TABLE S_ARTIKLI_LOCATION
ADD CONSTRAINT ASL_NNLOCATION_FK
FOREIGN KEY (NNLOCATION_ID)
REFERENCES NNLOCATION(ID);

CREATE INDEX IX_SAL_ID_ARTIKEL ON S_ARTIKLI_LOCATION(ID_ARTIKEL);
CREATE INDEX IX_SAL_NNLOCATION_ID ON S_ARTIKLI_LOCATION(NNLOCATION_ID);

CREATE SEQUENCE S_ARTIKLI_LOCATION_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2197, SYSDATE, '5.5', 2117, 'SArtikliLocation')
;